Core - Bug # 55740

Status: Resolved Priority: Should have

Author: Alexander Stehlik Category: File Abstraction Layer (FAL)
Created: 2014-02-06 Assigned To:

Updated: 2014-02-11 Due date:

TYPO3 Version: 6.2

PHP Version: 54

Complexity: medium

Is Regression: Yes

Sprint Focus:

Subject: Storage root folders not accessible by filemounts

Description

Currently it is not possible to use storage root folders as filemounts.

This is a regresssion of #55416

Related issues:

related to Core - Task # 55416: Accessing the root folder of a file mount is ... Resolved 2014-01-29

Associated revisions

Revision 5d51daea - 2014-02-11 14:38 - Alexander Stehlik

[BUGFIX] Prevent double slash in isWithin check

If the root folder is used as folder identifier (/) no slash is appended
so that isFirstPartOfStr works correctly in the isWithin check in
LocalDriver.

Resolves: #55740

Releases: 6.2

Change-Id: 12af1cd3759656502ea84887828dfb222f0a07b64
Reviewed-on: https://review.typo3.org/27379

Reviewed-by: Markus Klein
Reviewed-by: Markus Kasten
Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter

History

#1 - 2014-02-06 16:32 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27379

#2 - 2014-02-11 15:30 - Alexander Stehlik
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:5d51daea910a73f3bb954c9adff51028d4863ad5.
